from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading GenericToRestSensorType Converter")

class GenericToRestSensorType(Converter):
    def Execute(self, args):
        res = ""
        if (args[0] == "None") or (args[0] == "Mark"):
            res = "MARKI"
        elif args[0] == "Gap":
            res = "MARKII"
        return res




plugin = GenericToRestSensorType("GenericToRestSensorType")

store.AddConverter(plugin)